Skip to main content
GET
/
api
/
v1
/
comparisons
List Comparisons
curl --request GET \
  --url https://api.example.com/api/v1/comparisons
[
  {
    "id": 1,
    "user_id": 1,
    "name": "Houston vs Phoenix Q1",
    "year": 2025,
    "winner": 0,
    "diff": 35000,
    "contract_a": "{}",
    "contract_b": "{}",
    "created_at": "2025-02-01T12:00:00.000Z"
  }
]

Query Parameters

year
string
Filter by year (YYYY).

Response

[
  {
    "id": 1,
    "user_id": 1,
    "name": "Houston vs Phoenix Q1",
    "year": 2025,
    "winner": 0,
    "diff": 35000,
    "contract_a": "{}",
    "contract_b": "{}",
    "created_at": "2025-02-01T12:00:00.000Z"
  }
]
winner
integer
Index of the winning contract: 0 (Contract A) or 1 (Contract B).
diff
integer
Weekly take-home difference between winner and loser in cents.